Bug 35173 - need libtool to build openssh-2.5.2p2-1.7.2.src.rpm
Summary: need libtool to build openssh-2.5.2p2-1.7.2.src.rpm
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-08 08:39 UTC by jsalmon
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-14 18:21:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jsalmon 2001-04-08 08:39:31 UTC
I had to install libtool before I was able to build openssh-2.5.2p2-1.7.2
from the SRPM
on my 6.2 system.  I think there should be a BuildPrereq in the spec file.

Comment 1 Pekka Savola 2001-04-14 18:21:02 UTC
Please note that libtool is one of the "standard" devel packages 
that are needed by a few apps.


Comment 2 Nalin Dahyabhai 2001-09-06 12:55:09 UTC
pekkas is correct; the libtool package (along with gcc, make, glibc-devel, etc.)
are considered to be part of the development tool set used for building RPM
packages, particularly libtool, which is used in the current incarnation of the
%configure macro used in many packages.  Adding the base development package set
as BuildPreReqs to each package in the distribution doesn't scale well, and is
probably best avoided.

Comment 3 jsalmon 2001-09-06 16:21:06 UTC
For how long has libtool been part of the standard set?
I'm certain I requested the standard development tools
when I installed my 6.2 system, which tells me that
either it wasn't part of the standard set in the recent
past, or something was wrong with my installation
(possible but unlikely).

So is it acceptable for a clean 'development' 6.2 
system to be unable to build newer source rpms?


Comment 4 Pekka Savola 2001-09-06 19:46:59 UTC
Libtool was added in RHL62, was also in Development class.  It wasn't there in RHL61.  
(This can be seen by checking RedHat/base/comps file).


Comment 5 jsalmon 2001-09-06 20:12:29 UTC
Ok.  My memory of my system's history is becoming clearer.

I started with 6.1 and upgraded to 6.2
libtool was not installed as part of the normal upgrade.

The problem, if there is one, is really outside the scope of openssh.

Should redhat consider it a problem that upgraded systems may lack
'standard' components, e.g., libtool.  I think the answer is yes, but I won't
belabor it
any more.

Should individual rpms provide workarounds where possible for this deficiency in
the redhat upgrade process?  I don't know.  There are arguments either way.

Thanks for your time.



Note You need to log in before you can comment on or make changes to this bug.